#FROM python:3.11.9-alpine3.20
FROM python:3.6-alpine

LABEL version="1.5"
LABEL agent_list="host,manager"

RUN \
  apk add --no-cache gcc musl-dev libffi-dev openssh sshpass python3-dev && \
  pip3 install ansible

WORKDIR /installer

COPY ./installer ./

CMD ["ansible-playbook", "-i", "/installer/inventory", "/installer/agent.yml"]
